#include <iostream>
#define MAX 200000
#include<algorithm>

using namespace std;

int main()
{
    int n,q, iz, is, je ;
    int a[MAX], b [MAX];
    cin>>n>>q;
    for(int i=0; i<n; i++)
        cin >> a[i];

    for(int i=0; i<q; i++)
        cin >> b[i];


    sort(a, a + n);

    for(int i=0; i<q; i++)
    {
        int g;
        g=0;
        iz=0;
        is=0;
        je=0;
        int i1=i;
        if ((n%2==0 && (a[n/2-1]+a[n/2])/2== b[i1]) || a[n/2] == b[i1])
        {
            cout<<g<<endl;
        }
        else
        {


        for (int i=0; i<n; i++ )
        {
            if (a[i]<b[i1])
            {
                iz++;
            }
            else if (a[i]==b[i1])
            {
                iz++;
                je++;
            }
            else
            break;

        }
         is=n-iz;

        if (is==iz)
        {
           g=1;
           cout<<g<<endl;

        }
        else if (is>iz)
        {

            g=(is-iz)+1;
            cout<<g<<endl;
        }
        else
        {
            float kuku =(a[iz-1-je]+ b[i1])/2.0;
            //cout<<a[iz-1-je]<<endl;
            //cout<<b[i1]<<endl;
            if((kuku+0.5)==b[i1])
            {
                g=iz-is-je;
                cout<<g<<endl;
            }
            else{
                g=iz-is+1-je;
                cout<<g<<endl;
            }
        }
        }


    }


    return 0;
}